Package ru.nilsoft.tm

# Class TMCommand.doc_params1

java.lang.Object
ru.nilsoft.tm.TMCommand.doc_params1

Enclosing class:
  `TMCommand`

public static final class TMCommand.doc_params1 extends Object
Параметр1 документов (смотри функции `TMCommand.CmdGetParams()`, `TMCommand.CmdSetParams(short, short, short)`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `NOT_PRINT_QTY_FOR_SINGLES`
  Бит установлен: Не печатать поле "Количество" в команде "Оформление позиции товара/услуги", если оно равно 1.
  `static final short`
  `NOT_PRINT_RESOURCES`
  Бит установлен: Не печатать информацию о ресурсах.
  `static final short`
  `NOT_PRINT_TAIL`
  Бит установлен: Не печатать окончание документа.
  `static final short`
  `NOT_PRINT_ZERO_COUNT`
  Бит установлен: Не печатать нулевые счётчики "Отчёте закрытия смены" и в "Отчёте о текущем состоянии расчётов".
  `static final short`
  `NOT_REQUIRE_START_CMD`
  Бит установлен: Не требовать команду "Начало сеанса".
  `static final short`
  `NOT_SET_EMPTY_LINE`
  Бит установлен: Не вставлять пустую строку между приходами.
  `static final short`
  `PRINT_CLOSE_SHIFT`
  Запрет закрытия смены без печати "Отчёта закрытия смены".
  `static final short`
  `PRINT_HEAD_BEFORE`
  Бит установлен: Печатать заголовок перед документом, а не после.
  `static final short`
  `PRINT_TAXES`
  Бит установлен: Печать налога в позиции кассового чека.
  `static final short`
  `RESERVED_0008`
  Зарезервировано.
  `static final short`
  `RESERVED_0100`
  Зарезервировано.
  `static final short`
  `RESERVED_0200`
  Зарезервировано.
  `static final short`
  `RESERVED_0400`
  Зарезервировано.
  `static final short`
  `RESERVED_0800`
  Зарезервировано.
  `static final short`
  `RESERVED_1000`
  Зарезервировано.
  `static final short`
  `RESERVED_4000`
  Зарезервировано.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `doc_params1()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NOT_PRINT_TAIL

    public static final short NOT_PRINT_TAIL
    Бит установлен: Не печатать окончание документа.
    See Also:
      - Constant Field Values

  - ### NOT_SET_EMPTY_LINE

    public static final short NOT_SET_EMPTY_LINE
    Бит установлен: Не вставлять пустую строку между приходами.
    See Also:
      - Constant Field Values

  - ### NOT_PRINT_ZERO_COUNT

    public static final short NOT_PRINT_ZERO_COUNT
    Бит установлен: Не печатать нулевые счётчики "Отчёте закрытия смены" и в "Отчёте о текущем состоянии расчётов".
    See Also:
      - Constant Field Values

  - ### RESERVED_0008

    public static final short RESERVED_0008
    Зарезервировано.
    See Also:
      - Constant Field Values

  - ### PRINT_HEAD_BEFORE

    public static final short PRINT_HEAD_BEFORE
    Бит установлен: Печатать заголовок перед документом, а не после.
    See Also:
      - Constant Field Values

  - ### NOT_PRINT_RESOURCES

    public static final short NOT_PRINT_RESOURCES
    Бит установлен: Не печатать информацию о ресурсах.
    See Also:
      - Constant Field Values

  - ### NOT_PRINT_QTY_FOR_SINGLES

    public static final short NOT_PRINT_QTY_FOR_SINGLES
    Бит установлен: Не печатать поле "Количество" в команде "Оформление позиции товара/услуги", если оно равно 1.
    See Also:
      - Constant Field Values

  - ### NOT_REQUIRE_START_CMD

    public static final short NOT_REQUIRE_START_CMD
    Бит установлен: Не требовать команду "Начало сеанса".
    See Also:
      - Constant Field Values

  - ### RESERVED_0100

    public static final short RESERVED_0100
    Зарезервировано.
    See Also:
      - Constant Field Values

  - ### RESERVED_0200

    public static final short RESERVED_0200
    Зарезервировано.
    See Also:
      - Constant Field Values

  - ### RESERVED_0400

    public static final short RESERVED_0400
    Зарезервировано.
    See Also:
      - Constant Field Values

  - ### RESERVED_0800

    public static final short RESERVED_0800
    Зарезервировано.
    See Also:
      - Constant Field Values

  - ### RESERVED_1000

    public static final short RESERVED_1000
    Зарезервировано.
    See Also:
      - Constant Field Values

  - ### PRINT_CLOSE_SHIFT

    public static final short PRINT_CLOSE_SHIFT
    Запрет закрытия смены без печати "Отчёта закрытия смены".
    See Also:
      - Constant Field Values

  - ### RESERVED_4000

    public static final short RESERVED_4000
    Зарезервировано.
    See Also:
      - Constant Field Values

  - ### PRINT_TAXES

    public static final short PRINT_TAXES
    Бит установлен: Печать налога в позиции кассового чека.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### doc_params1

    public doc_params1()